.TH inb() "" "" "DDI/DKI Kernel Routine"
.PC "Read a byte from an eight-bit I/O port"
.B "#include <sys/types.h>"
\fBuchar_t inb(\fIport\^\fB)\fR
\fBint \fIport\^\fB;\fR
.PP
.B inb()
reads an unsigned character from
.IR port ,
which is a valid eight-bit I/O port, and returns it.
.PP
Function
.B repinsb()
resembles
.BR inb() ,
except that it reads a string of characters from a port.
.SH "See Also"
.B
DDI/DKI kernel routines,
inl(),
inw(),
outb(),
outl(),
outw(),
repinsb(),
repinsd(),
repinsw(),
repoutsb(),
repoutsd(),
repoutsw()
.R
.SH Notes
.B inb()
has base or interrupt level.
It does not sleep.
.PP
A driver can hold a
driver-defined basic lock, read/write lock, or sleep lock
across a call to this function.
